summaryrefslogtreecommitdiffstats
path: root/source/kde/kdeadmin/kdeadmin.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2010-05-19 08:58:23 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:43:05 +0200
commitb76270bf9e6dd375e495fec92140a79a79415d27 (patch)
tree3dbed78b2279bf9f14207a16dc634b90995cbd40 /source/kde/kdeadmin/kdeadmin.SlackBuild
parent5a12e7c134274dba706667107d10d231517d3e05 (diff)
downloadcurrent-b76270bf9e6dd375e495fec92140a79a79415d27.tar.gz
current-b76270bf9e6dd375e495fec92140a79a79415d27.tar.xz
Slackware 13.1slackware-13.1
Wed May 19 08:58:23 UTC 2010 Slackware 13.1 x86_64 stable is released! Lots of thanks are due -- see the RELEASE_NOTES and the rest of the ChangeLog for credits. The ISOs are on their way to replication, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. We are taking pre-orders now at store.slackware.com, and offering a discount if you sign up for a subscription. Consider picking up a copy to help support the project. Thanks again to the Slackware community for testing, contributing, and generally holding us to a high level of quality. :-) Enjoy!
Diffstat (limited to 'source/kde/kdeadmin/kdeadmin.SlackBuild')
-rwxr-xr-xsource/kde/kdeadmin/kdeadmin.SlackBuild6
1 files changed, 6 insertions, 0 deletions
diff --git a/source/kde/kdeadmin/kdeadmin.SlackBuild b/source/kde/kdeadmin/kdeadmin.SlackBuild
index 43a41da35..621d03c27 100755
--- a/source/kde/kdeadmin/kdeadmin.SlackBuild
+++ b/source/kde/kdeadmin/kdeadmin.SlackBuild
@@ -53,9 +53,13 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+zcat $CWD/knetworkconf.diff.gz | patch -p1 --verbose || exit 1
+
mkdir -p build
cd build
cmake \
+ $KDE_OPT_ARGS \
+ --with-shadow \
-DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
-DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
-DCMAKE_BUILD_TYPE=Release \
@@ -63,6 +67,8 @@ cd build
-DMAN_INSTALL_DIR=/usr/man \
-DSYSCONF_INSTALL_DIR=/etc/kde \
-DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DKU_FIRSTGID=1000 \
+ -DKU_FIRSTUID=1000 \
..
make $NUMJOBS || exit 1
make install DESTDIR=$PKG || exit 1